package AdThreeAnalysis;


import java.io.Serializable;

public  class EONAViewType implements Serializable {
    public static  EONAViewType EnumONAActorList = null;
    public static  EONAViewType EnumONAActorRank = null;
    public static  EONAViewType EnumONAAdPlaceHolder = null;
    public static  EONAViewType EnumONAAdPoster = null;
    public static  EONAViewType EnumONAAppInfo = null;
    public static  EONAViewType EnumONAAppList = null;
    public static  EONAViewType EnumONAAppPullAdPoster = null;
    public static  EONAViewType EnumONAAttentPosterList = null;
    public static  EONAViewType EnumONABoldStyleEnterTip = null;
    public static  EONAViewType EnumONABulletinBoard = null;
    public static  EONAViewType EnumONABulletinBoardV2 = null;
    public static  EONAViewType EnumONABusinessVoteList = null;
    public static  EONAViewType EnumONAButtonGroup = null;
    public static  EONAViewType EnumONAChinaVoiceList = null;
    public static  EONAViewType EnumONACirclePosterList = null;
    public static  EONAViewType EnumONAClassificationList = null;
    public static  EONAViewType EnumONACommentWrite = null;
    public static  EONAViewType EnumONACommunityEntrance = null;
    public static  EONAViewType EnumONACompeteSchedule = null;
    public static  EONAViewType EnumONACompeteScheduleNew = null;
    public static  EONAViewType EnumONACoverIntroduction = null;
    public static  EONAViewType EnumONADetailsCommentList = null;
    public static  EONAViewType EnumONADetailsIntroduction = null;
    public static  EONAViewType EnumONADetailsPosterList = null;
    public static  EONAViewType EnumONADetailsToolbar = null;
    public static  EONAViewType EnumONADetailsVerticalPosterList = null;
    public static  EONAViewType EnumONADetailsVerticalVideoList = null;
    public static  EONAViewType EnumONADetailsVideoCircleShare = null;
    public static  EONAViewType EnumONADetailsVideoList = null;
    public static  EONAViewType EnumONADiscoveryEntry = null;
    public static  EONAViewType EnumONADokiCommonItem = null;
    public static  EONAViewType EnumONADokiDynamic = null;
    public static  EONAViewType EnumONADokiEntryList = null;
    public static  EONAViewType EnumONADokiMileStoneList = null;
    public static  EONAViewType EnumONADokiMovementCard = null;
    public static  EONAViewType EnumONADokiMovementCardList = null;
    public static  EONAViewType EnumONADokiNewsCard = null;
    public static  EONAViewType EnumONADokiNewsCardList = null;
    public static  EONAViewType EnumONADokiPhotoItem = null;
    public static  EONAViewType EnumONADokiPhotoList = null;
    public static  EONAViewType EnumONADokiRankBroadcast = null;
    public static  EONAViewType EnumONADynamicPanel = null;
    public static  EONAViewType EnumONAEmptyPlaceholder = null;
    public static  EONAViewType EnumONAEnterPictures = null;
    public static  EONAViewType EnumONAEnterTip = null;
    public static  EONAViewType EnumONAEnterTipV2 = null;
    public static  EONAViewType EnumONAExpandableText = null;
    public static  EONAViewType EnumONAExploreTagList = null;
    public static  EONAViewType EnumONAFanNews = null;
    public static  EONAViewType EnumONAFanNewsWithImgList = null;
    public static  EONAViewType EnumONAFanTuanFeed = null;
    public static  EONAViewType EnumONAFanTuanGrid = null;
    public static  EONAViewType EnumONAFanTuanLatestRankInfo = null;
    public static  EONAViewType EnumONAFanTuanRankItem = null;
    public static  EONAViewType EnumONAFanTuanRankList = null;
    public static  EONAViewType EnumONAFanTuanSignedList = null;
    public static  EONAViewType EnumONAFantuanRecommendStarsEntrance = null;
    public static  EONAViewType EnumONAFantuanRecommendStarsGroup = null;
    public static  EONAViewType EnumONAFilmComment = null;
    public static  EONAViewType EnumONAFilmPreViewTicket = null;
    public static  EONAViewType EnumONAFocusStarNews = null;
    public static  EONAViewType EnumONAGalleryAdPoster = null;
    public static EONAViewType EnumONAGalleryPoster = null;
    public static  EONAViewType EnumONAGalleryPosterPager = null;
    public static  EONAViewType EnumONAGameDownloadItem = null;
    public static  EONAViewType EnumONAGameGiftPackItem = null;
    public static  EONAViewType EnumONAGameGiftPackNews = null;
    public static  EONAViewType EnumONAGrid = null;
    public static  EONAViewType EnumONAGroupSwitch = null;
    public static  EONAViewType EnumONAHeadPoster = null;
    public static  EONAViewType EnumONAHorizontalBar = null;
    public static  EONAViewType EnumONAHorizontalList = null;
    public static  EONAViewType EnumONAImageText = null;
    public static  EONAViewType EnumONAIntroduction = null;
    public static  EONAViewType EnumONAIpLimitInfo = null;
    public static  EONAViewType EnumONALabelList = null;
    public static  EONAViewType EnumONALastReadPosition = null;
    public static  EONAViewType EnumONALeftImageRightTextAdPoster = null;
    public static  EONAViewType EnumONALiveActorNews = null;
    public static  EONAViewType EnumONALiveAttent = null;
    public static  EONAViewType EnumONALiveAttentNumber = null;
    public static  EONAViewType EnumONALiveCompeteSchedule = null;
    public static  EONAViewType EnumONALiveIntroduction = null;
    public static  EONAViewType EnumONALiveNewsItem = null;
    public static  EONAViewType EnumONALivePreviewBoard = null;
    public static  EONAViewType EnumONALiveTrailerCountdown = null;
    public static  EONAViewType EnumONALiveVIPRights = null;
    public static  EONAViewType EnumONALoadMoreAction = null;
    public static  EONAViewType EnumONAMarketingAttentPosterList = null;
    public static  EONAViewType EnumONAMatchSchedule = null;
    public static  EONAViewType EnumONAMatchScheduleNew = null;
    public static  EONAViewType EnumONAMediaPoster = null;
    public static  EONAViewType EnumONAMultAppPoster = null;
    public static EONAViewType EnumONAMultPoster = null;
    public static  EONAViewType EnumONAMultiMediaPoster = null;
    public static  EONAViewType EnumONANavPosterList = null;
    public static  EONAViewType EnumONANetworkRed = null;
    public static  EONAViewType EnumONANewsItem = null;
    public static  EONAViewType EnumONANoSearchHit = null;
    public static  EONAViewType EnumONAOptionalText = null;
    public static  EONAViewType EnumONAPictureWall = null;
    public static  EONAViewType EnumONAPlaceHolder = null;
    public static  EONAViewType EnumONAPosterList = null;
    public static  EONAViewType EnumONAPosterTitle = null;
    public static  EONAViewType EnumONAPrimaryFeed = null;
    public static  EONAViewType EnumONAProgramItem = null;
    public static  EONAViewType EnumONAPromoteEntry = null;
    public static  EONAViewType EnumONAPromoteList = null;
    public static  EONAViewType EnumONAPursuit = null;
    public static  EONAViewType EnumONAQuoteComment = null;
    public static  EONAViewType EnumONARankItem = null;
    public static  EONAViewType EnumONAReward = null;
    public static  EONAViewType EnumONASchoolList = null;
    public static  EONAViewType EnumONAScoreList = null;
    public static  EONAViewType EnumONAScrollTips = null;
    public static  EONAViewType EnumONASearchMatch = null;
    public static  EONAViewType EnumONASearchPoster = null;
    public static  EONAViewType EnumONASearchStarList = null;
    public static  EONAViewType EnumONASimpleAttentPoster = null;
    public static  EONAViewType EnumONASimpleFeed = null;
    public static  EONAViewType EnumONASplitLine = null;
    public static  EONAViewType EnumONASplitSpace = null;
    public static  EONAViewType EnumONAStarAgenda = null;
    public static  EONAViewType EnumONAStarCommentMediaPoster = null;
    public static  EONAViewType EnumONAStarHotRankInfo = null;
    public static  EONAViewType EnumONAStarHotTopicsInfo = null;
    public static  EONAViewType EnumONAStarIntroduction = null;
    public static  EONAViewType EnumONAStarList = null;
    public static  EONAViewType EnumONAStarMeetList = null;
    public static  EONAViewType EnumONAStarNews = null;
    public static  EONAViewType EnumONASummary = null;
    public static  EONAViewType EnumONATagDataGroup = null;
    public static  EONAViewType EnumONAText = null;
    public static  EONAViewType EnumONAThemeMultiPlayer = null;
    public static  EONAViewType EnumONAThemePlayer = null;
    public static  EONAViewType EnumONATimeLinePoster = null;
    public static  EONAViewType EnumONATimeLineTitle = null;
    public static  EONAViewType EnumONATomLiveBoard = null;
    public static  EONAViewType EnumONAUserActionTitle = null;
    public static  EONAViewType EnumONAUserPosterTitle = null;
    public static  EONAViewType EnumONAVRSSFeed = null;
    public static  EONAViewType EnumONAVRSSGroup = null;
    public static  EONAViewType EnumONAVRSSHeadPoster = null;
    public static  EONAViewType EnumONAVRSSInfoFeed = null;
    public static  EONAViewType EnumONAVerticalPosterList = null;
    public static  EONAViewType EnumONAVideoAdPoster = null;
    public static  EONAViewType EnumONAVideoCard = null;
    public static  EONAViewType EnumONAVideoCinema = null;
    public static  EONAViewType EnumONAVideoIntroduction = null;
    public static  EONAViewType EnumONAVideoListPlayer = null;
    public static  EONAViewType EnumONAVideoTipsIntro = null;
    public static  EONAViewType EnumONAViewShowBox = null;
    public static  EONAViewType EnumONAVipActionTips = null;
    public static  EONAViewType EnumONAVoteRank = null;
    public static  EONAViewType EnumONAWeeklyShowPoster = null;
    public static  EONAViewType EnumONAWeiboPoster = null;
    public static  int _EnumONAActorList = 23;
    public static  int _EnumONAActorRank = 32;
    public static  int _EnumONAAdPlaceHolder = 117;
    public static  int _EnumONAAdPoster = 136;
    public static  int _EnumONAAppInfo = 18;
    public static  int _EnumONAAppList = 60;
    public static  int _EnumONAAppPullAdPoster = 155;
    public static  int _EnumONAAttentPosterList = 69;
    public static  int _EnumONABoldStyleEnterTip = 131;
    public static  int _EnumONABulletinBoard = 17;
    public static  int _EnumONABulletinBoardV2 = 86;
    public static  int _EnumONABusinessVoteList = 48;
    public static  int _EnumONAButtonGroup = 127;
    public static  int _EnumONAChinaVoiceList = 49;
    public static  int _EnumONACirclePosterList = 151;
    public static  int _EnumONAClassificationList = 112;
    public static  int _EnumONACommentWrite = 13;
    public static  int _EnumONACommunityEntrance = 62;
    public static  int _EnumONACompeteSchedule = 33;
    public static  int _EnumONACompeteScheduleNew = 125;
    public static  int _EnumONACoverIntroduction = 59;
    public static  int _EnumONADetailsCommentList = 107;
    public static  int _EnumONADetailsIntroduction = 12;
    public static  int _EnumONADetailsPosterList = 11;
    public static  int _EnumONADetailsToolbar = 9;
    public static  int _EnumONADetailsVerticalPosterList = 85;
    public static  int _EnumONADetailsVerticalVideoList = 84;
    public static  int _EnumONADetailsVideoCircleShare = 8;
    public static  int _EnumONADetailsVideoList = 10;
    public static  int _EnumONADiscoveryEntry = 52;
    public static  int _EnumONADokiCommonItem = 142;
    public static  int _EnumONADokiDynamic = 149;
    public static  int _EnumONADokiEntryList = 152;
    public static  int _EnumONADokiMileStoneList = 146;
    public static  int _EnumONADokiMovementCard = 144;
    public static  int _EnumONADokiMovementCardList = 145;
    public static  int _EnumONADokiNewsCard = 134;
    public static  int _EnumONADokiNewsCardList = 135;
    public static  int _EnumONADokiPhotoItem = 153;
    public static  int _EnumONADokiPhotoList = 154;
    public static  int _EnumONADokiRankBroadcast = 148;
    public static  int _EnumONADynamicPanel = 46;
    public static  int _EnumONAEmptyPlaceholder = 143;
    public static  int _EnumONAEnterPictures = 95;
    public static  int _EnumONAEnterTip = 38;
    public static  int _EnumONAEnterTipV2 = 147;
    public static  int _EnumONAExpandableText = 108;
    public static  int _EnumONAExploreTagList = 118;
    public static  int _EnumONAFanNews = 47;
    public static  int _EnumONAFanNewsWithImgList = 65;
    public static  int _EnumONAFanTuanFeed = 73;
    public static  int _EnumONAFanTuanGrid = 71;
    public static  int _EnumONAFanTuanLatestRankInfo = 111;
    public static  int _EnumONAFanTuanRankItem = 74;
    public static  int _EnumONAFanTuanRankList = 72;
    public static  int _EnumONAFanTuanSignedList = 90;
    public static  int _EnumONAFantuanRecommendStarsEntrance = 97;
    public static  int _EnumONAFantuanRecommendStarsGroup = 103;
    public static  int _EnumONAFilmComment = 110;
    public static  int _EnumONAFilmPreViewTicket = 68;
    public static  int _EnumONAFocusStarNews = 122;
    public static  int _EnumONAGalleryAdPoster = 45;
    public static  int _EnumONAGalleryPoster = 1;
    public static  int _EnumONAGalleryPosterPager = 81;
    public static  int _EnumONAGameDownloadItem = 40;
    public static  int _EnumONAGameGiftPackItem = 41;
    public static  int _EnumONAGameGiftPackNews = 42;
    public static  int _EnumONAGrid = 7;
    public static  int _EnumONAGroupSwitch = 128;
    public static  int _EnumONAHeadPoster = 14;
    public static  int _EnumONAHorizontalBar = 120;
    public static  int _EnumONAHorizontalList = 126;
    public static  int _EnumONAImageText = 124;
    public static  int _EnumONAIntroduction = 39;
    public static  int _EnumONAIpLimitInfo = 78;
    public static  int _EnumONALabelList = 130;
    public static  int _EnumONALastReadPosition = 89;
    public static  int _EnumONALeftImageRightTextAdPoster = 150;
    public static  int _EnumONALiveActorNews = 36;
    public static  int _EnumONALiveAttent = 27;
    public static  int _EnumONALiveAttentNumber = 28;
    public static  int _EnumONALiveCompeteSchedule = 34;
    public static  int _EnumONALiveIntroduction = 30;
    public static  int _EnumONALiveNewsItem = 35;
    public static  int _EnumONALivePreviewBoard = 70;
    public static  int _EnumONALiveTrailerCountdown = 26;
    public static  int _EnumONALiveVIPRights = 29;
    public static  int _EnumONALoadMoreAction = 80;
    public static  int _EnumONAMarketingAttentPosterList = 77;
    public static  int _EnumONAMatchSchedule = 6;
    public static  int _EnumONAMatchScheduleNew = 129;
    public static  int _EnumONAMediaPoster = 100;
    public static  int _EnumONAMultAppPoster = 61;
    public static  int _EnumONAMultPoster = 0;
    public static  int _EnumONAMultiMediaPoster = 101;
    public static  int _EnumONANavPosterList = 83;
    public static  int _EnumONANetworkRed = 93;
    public static  int _EnumONANewsItem = 5;
    public static  int _EnumONANoSearchHit = 16;
    public static  int _EnumONAOptionalText = 138;
    public static  int _EnumONAPictureWall = 24;
    public static  int _EnumONAPlaceHolder = 58;
    public static  int _EnumONAPosterList = 43;
    public static  int _EnumONAPosterTitle = 2;
    public static  int _EnumONAPrimaryFeed = 132;
    public static  int _EnumONAProgramItem = 37;
    public static  int _EnumONAPromoteEntry = 51;
    public static  int _EnumONAPromoteList = 79;
    public static  int _EnumONAPursuit = 25;
    public static  int _EnumONAQuoteComment = 21;
    public static  int _EnumONARankItem = 116;
    public static  int _EnumONAReward = 76;
    public static  int _EnumONASchoolList = 99;
    public static  int _EnumONAScoreList = 92;
    public static  int _EnumONAScrollTips = 94;
    public static  int _EnumONASearchMatch = 82;
    public static  int _EnumONASearchPoster = 15;
    public static  int _EnumONASearchStarList = 98;
    public static  int _EnumONASimpleAttentPoster = 141;
    public static  int _EnumONASimpleFeed = 133;
    public static  int _EnumONASplitLine = 3;
    public static  int _EnumONASplitSpace = 44;
    public static  int _EnumONAStarAgenda = 105;
    public static  int _EnumONAStarCommentMediaPoster = 102;
    public static  int _EnumONAStarHotRankInfo = 106;
    public static  int _EnumONAStarHotTopicsInfo = 121;
    public static  int _EnumONAStarIntroduction = 19;
    public static  int _EnumONAStarList = 4;
    public static  int _EnumONAStarMeetList = 104;
    public static  int _EnumONAStarNews = 20;
    public static  int _EnumONASummary = 22;
    public static  int _EnumONATagDataGroup = 91;
    public static  int _EnumONAText = 115;
    public static  int _EnumONAThemeMultiPlayer = 140;
    public static  int _EnumONAThemePlayer = 123;
    public static  int _EnumONATimeLinePoster = 113;
    public static  int _EnumONATimeLineTitle = 114;
    public static  int _EnumONATomLiveBoard = 64;
    public static  int _EnumONAUserActionTitle = 87;
    public static  int _EnumONAUserPosterTitle = 63;
    public static  int _EnumONAVRSSFeed = 50;
    public static  int _EnumONAVRSSGroup = 53;
    public static  int _EnumONAVRSSHeadPoster = 57;
    public static  int _EnumONAVRSSInfoFeed = 119;
    public static  int _EnumONAVerticalPosterList = 88;
    public static  int _EnumONAVideoAdPoster = 137;
    public static  int _EnumONAVideoCard = 54;
    public static  int _EnumONAVideoCinema = 55;
    public static  int _EnumONAVideoIntroduction = 56;
    public static  int _EnumONAVideoListPlayer = 66;
    public static  int _EnumONAVideoTipsIntro = 109;
    public static  int _EnumONAViewShowBox = 75;
    public static  int _EnumONAVipActionTips = 67;
    public static  int _EnumONAVoteRank = 31;
    public static  int _EnumONAWeeklyShowPoster = 139;
    public static  int _EnumONAWeiboPoster = 96;
    private String __T;
    private int __value;
    private static EONAViewType[] __values;

    static {
        int v6 = 4;
        int v5 = 3;
        int v4 = 2;
        boolean v0 = !EONAViewType.class.desiredAssertionStatus() ? true : false;
        EONAViewType.__values = new EONAViewType[156];
        EONAViewType.EnumONAMultPoster = new EONAViewType(0, 0, "EnumONAMultPoster");
        EONAViewType.EnumONAGalleryPoster = new EONAViewType(1, 1, "EnumONAGalleryPoster");
        EONAViewType.EnumONAPosterTitle = new EONAViewType(v4, v4, "EnumONAPosterTitle");
        EONAViewType.EnumONASplitLine = new EONAViewType(v5, v5, "EnumONASplitLine");
        EONAViewType.EnumONAStarList = new EONAViewType(v6, v6, "EnumONAStarList");
        EONAViewType.EnumONANewsItem = new EONAViewType(5, 5, "EnumONANewsItem");
        EONAViewType.EnumONAMatchSchedule = new EONAViewType(6, 6, "EnumONAMatchSchedule");
        EONAViewType.EnumONAGrid = new EONAViewType(7, 7, "EnumONAGrid");
        EONAViewType.EnumONADetailsVideoCircleShare = new EONAViewType(8, 8, "EnumONADetailsVideoCircleShare");
        EONAViewType.EnumONADetailsToolbar = new EONAViewType(9, 9, "EnumONADetailsToolbar");
        EONAViewType.EnumONADetailsVideoList = new EONAViewType(10, 10, "EnumONADetailsVideoList");
        EONAViewType.EnumONADetailsPosterList = new EONAViewType(11, 11, "EnumONADetailsPosterList");
        EONAViewType.EnumONADetailsIntroduction = new EONAViewType(12, 12, "EnumONADetailsIntroduction");
        EONAViewType.EnumONACommentWrite = new EONAViewType(13, 13, "EnumONACommentWrite");
        EONAViewType.EnumONAHeadPoster = new EONAViewType(14, 14, "EnumONAHeadPoster");
        EONAViewType.EnumONASearchPoster = new EONAViewType(15, 15, "EnumONASearchPoster");
        EONAViewType.EnumONANoSearchHit = new EONAViewType(16, 16, "EnumONANoSearchHit");
        EONAViewType.EnumONABulletinBoard = new EONAViewType(17, 17, "EnumONABulletinBoard");
        EONAViewType.EnumONAAppInfo = new EONAViewType(18, 18, "EnumONAAppInfo");
        EONAViewType.EnumONAStarIntroduction = new EONAViewType(19, 19, "EnumONAStarIntroduction");
        EONAViewType.EnumONAStarNews = new EONAViewType(20, 20, "EnumONAStarNews");
        EONAViewType.EnumONAQuoteComment = new EONAViewType(21, 21, "EnumONAQuoteComment");
        EONAViewType.EnumONASummary = new EONAViewType(22, 22, "EnumONASummary");
        EONAViewType.EnumONAActorList = new EONAViewType(23, 23, "EnumONAActorList");
        EONAViewType.EnumONAPictureWall = new EONAViewType(24, 24, "EnumONAPictureWall");
        EONAViewType.EnumONAPursuit = new EONAViewType(25, 25, "EnumONAPursuit");
        EONAViewType.EnumONALiveTrailerCountdown = new EONAViewType(26, 26, "EnumONALiveTrailerCountdown");
        EONAViewType.EnumONALiveAttent = new EONAViewType(27, 27, "EnumONALiveAttent");
        EONAViewType.EnumONALiveAttentNumber = new EONAViewType(28, 28, "EnumONALiveAttentNumber");
        EONAViewType.EnumONALiveVIPRights = new EONAViewType(29, 29, "EnumONALiveVIPRights");
        EONAViewType.EnumONALiveIntroduction = new EONAViewType(30, 30, "EnumONALiveIntroduction");
        EONAViewType.EnumONAVoteRank = new EONAViewType(31, 31, "EnumONAVoteRank");
        EONAViewType.EnumONAActorRank = new EONAViewType(32, 32, "EnumONAActorRank");
        EONAViewType.EnumONACompeteSchedule = new EONAViewType(33, 33, "EnumONACompeteSchedule");
        EONAViewType.EnumONALiveCompeteSchedule = new EONAViewType(34, 34, "EnumONALiveCompeteSchedule");
        EONAViewType.EnumONALiveNewsItem = new EONAViewType(35, 35, "EnumONALiveNewsItem");
        EONAViewType.EnumONALiveActorNews = new EONAViewType(36, 36, "EnumONALiveActorNews");
        EONAViewType.EnumONAProgramItem = new EONAViewType(37, 37, "EnumONAProgramItem");
        EONAViewType.EnumONAEnterTip = new EONAViewType(38, 38, "EnumONAEnterTip");
        EONAViewType.EnumONAIntroduction = new EONAViewType(39, 39, "EnumONAIntroduction");
        EONAViewType.EnumONAGameDownloadItem = new EONAViewType(40, 40, "EnumONAGameDownloadItem");
        EONAViewType.EnumONAGameGiftPackItem = new EONAViewType(41, 41, "EnumONAGameGiftPackItem");
        EONAViewType.EnumONAGameGiftPackNews = new EONAViewType(42, 42, "EnumONAGameGiftPackNews");
        EONAViewType.EnumONAPosterList = new EONAViewType(43, 43, "EnumONAPosterList");
        EONAViewType.EnumONASplitSpace = new EONAViewType(44, 44, "EnumONASplitSpace");
        EONAViewType.EnumONAGalleryAdPoster = new EONAViewType(45, 45, "EnumONAGalleryAdPoster");
        EONAViewType.EnumONADynamicPanel = new EONAViewType(46, 46, "EnumONADynamicPanel");
        EONAViewType.EnumONAFanNews = new EONAViewType(47, 47, "EnumONAFanNews");
        EONAViewType.EnumONABusinessVoteList = new EONAViewType(48, 48, "EnumONABusinessVoteList");
        EONAViewType.EnumONAChinaVoiceList = new EONAViewType(49, 49, "EnumONAChinaVoiceList");
        EONAViewType.EnumONAVRSSFeed = new EONAViewType(50, 50, "EnumONAVRSSFeed");
        EONAViewType.EnumONAPromoteEntry = new EONAViewType(51, 51, "EnumONAPromoteEntry");
        EONAViewType.EnumONADiscoveryEntry = new EONAViewType(52, 52, "EnumONADiscoveryEntry");
        EONAViewType.EnumONAVRSSGroup = new EONAViewType(53, 53, "EnumONAVRSSGroup");
        EONAViewType.EnumONAVideoCard = new EONAViewType(54, 54, "EnumONAVideoCard");
        EONAViewType.EnumONAVideoCinema = new EONAViewType(55, 55, "EnumONAVideoCinema");
        EONAViewType.EnumONAVideoIntroduction = new EONAViewType(56, 56, "EnumONAVideoIntroduction");
        EONAViewType.EnumONAVRSSHeadPoster = new EONAViewType(57, 57, "EnumONAVRSSHeadPoster");
        EONAViewType.EnumONAPlaceHolder = new EONAViewType(58, 58, "EnumONAPlaceHolder");
        EONAViewType.EnumONACoverIntroduction = new EONAViewType(59, 59, "EnumONACoverIntroduction");
        EONAViewType.EnumONAAppList = new EONAViewType(60, 60, "EnumONAAppList");
        EONAViewType.EnumONAMultAppPoster = new EONAViewType(61, 61, "EnumONAMultAppPoster");
        EONAViewType.EnumONACommunityEntrance = new EONAViewType(62, 62, "EnumONACommunityEntrance");
        EONAViewType.EnumONAUserPosterTitle = new EONAViewType(63, 63, "EnumONAUserPosterTitle");
        EONAViewType.EnumONATomLiveBoard = new EONAViewType(64, 64, "EnumONATomLiveBoard");
        EONAViewType.EnumONAFanNewsWithImgList = new EONAViewType(65, 65, "EnumONAFanNewsWithImgList");
        EONAViewType.EnumONAVideoListPlayer = new EONAViewType(66, 66, "EnumONAVideoListPlayer");
        EONAViewType.EnumONAVipActionTips = new EONAViewType(67, 67, "EnumONAVipActionTips");
        EONAViewType.EnumONAFilmPreViewTicket = new EONAViewType(68, 68, "EnumONAFilmPreViewTicket");
        EONAViewType.EnumONAAttentPosterList = new EONAViewType(69, 69, "EnumONAAttentPosterList");
        EONAViewType.EnumONALivePreviewBoard = new EONAViewType(70, 70, "EnumONALivePreviewBoard");
        EONAViewType.EnumONAFanTuanGrid = new EONAViewType(71, 71, "EnumONAFanTuanGrid");
        EONAViewType.EnumONAFanTuanRankList = new EONAViewType(72, 72, "EnumONAFanTuanRankList");
        EONAViewType.EnumONAFanTuanFeed = new EONAViewType(73, 73, "EnumONAFanTuanFeed");
        EONAViewType.EnumONAFanTuanRankItem = new EONAViewType(74, 74, "EnumONAFanTuanRankItem");
        EONAViewType.EnumONAViewShowBox = new EONAViewType(75, 75, "EnumONAViewShowBox");
        EONAViewType.EnumONAReward = new EONAViewType(76, 76, "EnumONAReward");
        EONAViewType.EnumONAMarketingAttentPosterList = new EONAViewType(77, 77, "EnumONAMarketingAttentPosterList");
        EONAViewType.EnumONAIpLimitInfo = new EONAViewType(78, 78, "EnumONAIpLimitInfo");
        EONAViewType.EnumONAPromoteList = new EONAViewType(79, 79, "EnumONAPromoteList");
        EONAViewType.EnumONALoadMoreAction = new EONAViewType(80, 80, "EnumONALoadMoreAction");
        EONAViewType.EnumONAGalleryPosterPager = new EONAViewType(81, 81, "EnumONAGalleryPosterPager");
        EONAViewType.EnumONASearchMatch = new EONAViewType(82, 82, "EnumONASearchMatch");
        EONAViewType.EnumONANavPosterList = new EONAViewType(83, 83, "EnumONANavPosterList");
        EONAViewType.EnumONADetailsVerticalVideoList = new EONAViewType(84, 84, "EnumONADetailsVerticalVideoList");
        EONAViewType.EnumONADetailsVerticalPosterList = new EONAViewType(85, 85, "EnumONADetailsVerticalPosterList");
        EONAViewType.EnumONABulletinBoardV2 = new EONAViewType(86, 86, "EnumONABulletinBoardV2");
        EONAViewType.EnumONAUserActionTitle = new EONAViewType(87, 87, "EnumONAUserActionTitle");
        EONAViewType.EnumONAVerticalPosterList = new EONAViewType(88, 88, "EnumONAVerticalPosterList");
        EONAViewType.EnumONALastReadPosition = new EONAViewType(89, 89, "EnumONALastReadPosition");
        EONAViewType.EnumONAFanTuanSignedList = new EONAViewType(90, 90, "EnumONAFanTuanSignedList");
        EONAViewType.EnumONATagDataGroup = new EONAViewType(91, 91, "EnumONATagDataGroup");
        EONAViewType.EnumONAScoreList = new EONAViewType(92, 92, "EnumONAScoreList");
        EONAViewType.EnumONANetworkRed = new EONAViewType(93, 93, "EnumONANetworkRed");
        EONAViewType.EnumONAScrollTips = new EONAViewType(94, 94, "EnumONAScrollTips");
        EONAViewType.EnumONAEnterPictures = new EONAViewType(95, 95, "EnumONAEnterPictures");
        EONAViewType.EnumONAWeiboPoster = new EONAViewType(96, 96, "EnumONAWeiboPoster");
        EONAViewType.EnumONAFantuanRecommendStarsEntrance = new EONAViewType(97, 97, "EnumONAFantuanRecommendStarsEntrance");
        EONAViewType.EnumONASearchStarList = new EONAViewType(98, 98, "EnumONASearchStarList");
        EONAViewType.EnumONASchoolList = new EONAViewType(99, 99, "EnumONASchoolList");
        EONAViewType.EnumONAMediaPoster = new EONAViewType(100, 100, "EnumONAMediaPoster");
        EONAViewType.EnumONAMultiMediaPoster = new EONAViewType(101, 101, "EnumONAMultiMediaPoster");
        EONAViewType.EnumONAStarCommentMediaPoster = new EONAViewType(102, 102, "EnumONAStarCommentMediaPoster");
        EONAViewType.EnumONAFantuanRecommendStarsGroup = new EONAViewType(103, 103, "EnumONAFantuanRecommendStarsGroup");
        EONAViewType.EnumONAStarMeetList = new EONAViewType(104, 104, "EnumONAStarMeetList");
        EONAViewType.EnumONAStarAgenda = new EONAViewType(105, 105, "EnumONAStarAgenda");
        EONAViewType.EnumONAStarHotRankInfo = new EONAViewType(106, 106, "EnumONAStarHotRankInfo");
        EONAViewType.EnumONADetailsCommentList = new EONAViewType(107, 107, "EnumONADetailsCommentList");
        EONAViewType.EnumONAExpandableText = new EONAViewType(108, 108, "EnumONAExpandableText");
        EONAViewType.EnumONAVideoTipsIntro = new EONAViewType(109, 109, "EnumONAVideoTipsIntro");
        EONAViewType.EnumONAFilmComment = new EONAViewType(110, 110, "EnumONAFilmComment");
        EONAViewType.EnumONAFanTuanLatestRankInfo = new EONAViewType(111, 111, "EnumONAFanTuanLatestRankInfo");
        EONAViewType.EnumONAClassificationList = new EONAViewType(112, 112, "EnumONAClassificationList");
        EONAViewType.EnumONATimeLinePoster = new EONAViewType(113, 113, "EnumONATimeLinePoster");
        EONAViewType.EnumONATimeLineTitle = new EONAViewType(114, 114, "EnumONATimeLineTitle");
        EONAViewType.EnumONAText = new EONAViewType(115, 115, "EnumONAText");
        EONAViewType.EnumONARankItem = new EONAViewType(116, 116, "EnumONARankItem");
        EONAViewType.EnumONAAdPlaceHolder = new EONAViewType(117, 117, "EnumONAAdPlaceHolder");
        EONAViewType.EnumONAExploreTagList = new EONAViewType(118, 118, "EnumONAExploreTagList");
        EONAViewType.EnumONAVRSSInfoFeed = new EONAViewType(119, 119, "EnumONAVRSSInfoFeed");
        EONAViewType.EnumONAHorizontalBar = new EONAViewType(120, 120, "EnumONAHorizontalBar");
        EONAViewType.EnumONAStarHotTopicsInfo = new EONAViewType(121, 121, "EnumONAStarHotTopicsInfo");
        EONAViewType.EnumONAFocusStarNews = new EONAViewType(122, 122, "EnumONAFocusStarNews");
        EONAViewType.EnumONAThemePlayer = new EONAViewType(123, 123, "EnumONAThemePlayer");
        EONAViewType.EnumONAImageText = new EONAViewType(124, 124, "EnumONAImageText");
        EONAViewType.EnumONACompeteScheduleNew = new EONAViewType(125, 125, "EnumONACompeteScheduleNew");
        EONAViewType.EnumONAHorizontalList = new EONAViewType(126, 126, "EnumONAHorizontalList");
        EONAViewType.EnumONAButtonGroup = new EONAViewType(127, 127, "EnumONAButtonGroup");
        EONAViewType.EnumONAGroupSwitch = new EONAViewType(128, 128, "EnumONAGroupSwitch");
        EONAViewType.EnumONAMatchScheduleNew = new EONAViewType(129, 129, "EnumONAMatchScheduleNew");
        EONAViewType.EnumONALabelList = new EONAViewType(130, 130, "EnumONALabelList");
        EONAViewType.EnumONABoldStyleEnterTip = new EONAViewType(131, 131, "EnumONABoldStyleEnterTip");
        EONAViewType.EnumONAPrimaryFeed = new EONAViewType(132, 132, "EnumONAPrimaryFeed");
        EONAViewType.EnumONASimpleFeed = new EONAViewType(133, 133, "EnumONASimpleFeed");
        EONAViewType.EnumONADokiNewsCard = new EONAViewType(134, 134, "EnumONADokiNewsCard");
        EONAViewType.EnumONADokiNewsCardList = new EONAViewType(135, 135, "EnumONADokiNewsCardList");
        EONAViewType.EnumONAAdPoster = new EONAViewType(136, 136, "EnumONAAdPoster");
        EONAViewType.EnumONAVideoAdPoster = new EONAViewType(137, 137, "EnumONAVideoAdPoster");
        EONAViewType.EnumONAOptionalText = new EONAViewType(138, 138, "EnumONAOptionalText");
        EONAViewType.EnumONAWeeklyShowPoster = new EONAViewType(139, 139, "EnumONAWeeklyShowPoster");
        EONAViewType.EnumONAThemeMultiPlayer = new EONAViewType(140, 140, "EnumONAThemeMultiPlayer");
        EONAViewType.EnumONASimpleAttentPoster = new EONAViewType(141, 141, "EnumONASimpleAttentPoster");
        EONAViewType.EnumONADokiCommonItem = new EONAViewType(142, 142, "EnumONADokiCommonItem");
        EONAViewType.EnumONAEmptyPlaceholder = new EONAViewType(143, 143, "EnumONAEmptyPlaceholder");
        EONAViewType.EnumONADokiMovementCard = new EONAViewType(144, 144, "EnumONADokiMovementCard");
        EONAViewType.EnumONADokiMovementCardList = new EONAViewType(145, 145, "EnumONADokiMovementCardList");
        EONAViewType.EnumONADokiMileStoneList = new EONAViewType(146, 146, "EnumONADokiMileStoneList");
        EONAViewType.EnumONAEnterTipV2 = new EONAViewType(147, 147, "EnumONAEnterTipV2");
        EONAViewType.EnumONADokiRankBroadcast = new EONAViewType(148, 148, "EnumONADokiRankBroadcast");
        EONAViewType.EnumONADokiDynamic = new EONAViewType(149, 149, "EnumONADokiDynamic");
        EONAViewType.EnumONALeftImageRightTextAdPoster = new EONAViewType(150, 150, "EnumONALeftImageRightTextAdPoster");
        EONAViewType.EnumONACirclePosterList = new EONAViewType(151, 151, "EnumONACirclePosterList");
        EONAViewType.EnumONADokiEntryList = new EONAViewType(152, 152, "EnumONADokiEntryList");
        EONAViewType.EnumONADokiPhotoItem = new EONAViewType(153, 153, "EnumONADokiPhotoItem");
        EONAViewType.EnumONADokiPhotoList = new EONAViewType(154, 154, "EnumONADokiPhotoList");
        EONAViewType.EnumONAAppPullAdPoster = new EONAViewType(155, 155, "EnumONAAppPullAdPoster");
    }

    private EONAViewType(int arg2, int arg3, String arg4) {
        super();
        this.__T = new String();
        this.__T = arg4;
        this.__value = arg3;
        EONAViewType.__values[arg2] = this;
    }

    public static EONAViewType convert(int arg2) {
        EONAViewType v0_1 = null;
        int v0 = 0;
        while(true) {
            if(v0 >= EONAViewType.__values.length) {
                break;
            }
            else if(EONAViewType.__values[v0].value() == arg2) {
                v0_1 = EONAViewType.__values[v0];
            }
            else {
                ++v0;
                continue;
            }

            return v0_1;
        }

        return v0_1;
    }

    public static EONAViewType convert(String arg2) {
        EONAViewType v0_1 = null;
        int v0 = 0;
        while(true) {
            if(v0 >= EONAViewType.__values.length) {
                break;
            }
            else if(EONAViewType.__values[v0].toString().equals(arg2)) {
                v0_1 = EONAViewType.__values[v0];
            }
            else {
                ++v0;
                continue;
            }

            return v0_1;
        }

        return v0_1;
    }

    public  String toString() {
        return this.__T;
    }

    public  int value() {
        return this.__value;
    }
}


